Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.encoder.jpg
Class Sample

    java.lang.Object
      |
      +--com.sun.jimi.core.encoder.jpg.Sample

public class Sample
extends java.lang.Object

Constructor Summary
`Sample()`

Method Summary
`static void` | `downsample(CompressInfo cinfo, int ci, int output_cols, int output_rows, short[][] input_data, short[][] output_data)`
`static void` | `edge_expand(CompressInfo cinfo, int input_cols, int input_rows, int output_cols, int output_rows, short[][][] image_data)`
`static void` | `fullsize_downsample(int output_cols, int output_rows, short[][] input_data, short[][] output_data)`
`static void` | `h2v1_downsample(int output_cols, int output_rows, short[][] input_data, short[][] output_data)`
`static void` | `h2v2_downsample(int output_cols, int output_rows, short[][] input_data, short[][] output_data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sample

    public Sample()

Method Detail

### h2v1_downsample

    public static void h2v1_downsample(int output_cols,
                                       int output_rows,
                                       short[][] input_data,
                                       short[][] output_data)

### h2v2_downsample

    public static void h2v2_downsample(int output_cols,
                                       int output_rows,
                                       short[][] input_data,
                                       short[][] output_data)

### fullsize_downsample

    public static void fullsize_downsample(int output_cols,
                                           int output_rows,
                                           short[][] input_data,
                                           short[][] output_data)

### downsample

    public static void downsample(CompressInfo cinfo,
                                  int ci,
                                  int output_cols,
                                  int output_rows,
                                  short[][] input_data,
                                  short[][] output_data)

### edge_expand

    public static void edge_expand(CompressInfo cinfo,
                                   int input_cols,
                                   int input_rows,
                                   int output_cols,
                                   int output_rows,
                                   short[][][] image_data)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD